Home | All Classes | Grouped Classes | Index | Search

# CL_Assert::die

Produces an assert.

    	void die(
    		bool a, const char* file, int line, const char* func, const char* assert_str);

Parameters:

a
  Asserts if false.
file
  Name of the file where the assert occurred.
line
  Line in the file where the assert occurred.
func
  Function in which the assert occurred.
assert_str
  String that describe the assertion check.

Detailed description:

This function shouldn't be called directly - instead, use the cl_assert macro. For example: cl_assert(should_not_be_zero != 0)

See also:

CL_Assert

Questions or comments, write to the ClanLib mailing list.